org.eclipse.microprofile.config.tck.broken

## Class WrongConverterOnInstanceInjectionTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.config.tck.broken.WrongConverterOnInstanceInjectionTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class WrongConverterOnInstanceInjectionTest
    extends org.jboss.arquillian.testng.Arquillian

Verify that injectng a native value also has a valid converter which can handle the configured string.

Author:
  Mark Struberg

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`WrongConverterOnInstanceInjectionTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `test()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrongConverterOnInstanceInjectionTest

    public WrongConverterOnInstanceInjectionTest()

### Method Detail

#### deploy

    @ShouldThrowException(value=javax.enterprise.inject.spi.DeploymentException.class)
     @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### test

    public void test()